Show / Hide Table of Contents

# Class CommandManager

##### Inheritance

System.Object
CommandManager

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Command

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class CommandManager

### Constructors

#### CommandManager(Dalamud, Int32)

##### Declaration

    public CommandManager(Dalamud dalamud, int langId)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |
System.Int32 | langId |

### Properties

#### Commands

##### Declaration

    public ReadOnlyDictionary<string, CommandInfo> Commands { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.ObjectModel.ReadOnlyDictionary<System.String, CommandInfo> |

### Methods

#### AddHandler(String, CommandInfo)

##### Declaration

    public bool AddHandler(string command, CommandInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | command |
CommandInfo | info |

##### Returns

Type | Description
--- | ---
System.Boolean |

#### DispatchCommand(String, String, CommandInfo)

##### Declaration

    public void DispatchCommand(string command, string argument, CommandInfo info)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | command |
System.String | argument |
CommandInfo | info |

#### RemoveHandler(String)

##### Declaration

    public bool RemoveHandler(string command)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | command |

##### Returns

Type | Description
--- | ---
System.Boolean |